import fmtEvent from './fmtEvent';

var noop = function () {};
/**
 * miniappHref value：navigate:abc?a=1 redirect:abc?a=1 switchTab:a/b/c navigateBack:2
 * mpHref for  backward compatibility
 */


Component({
  data: {},
  properties: {
    className: {
      type: String,
      value: ''
    },
    styleSheet: {
      type: String,
      value: ''
    },
    mpHref: {
      type: String,
      value: ''
    },
    miniappHref: {
      type: String,
      value: ''
    },
    onPress: noop
  },
  options: {
    styleIsolation: 'apply-shared'
  },
  methods: {
    onTap: function onTap(e) {
      var event = fmtEvent(this.properties, e); // onPress for  backward compatibility

      this.triggerEvent('onPress', event.detail);
      this.triggerEvent('onClick', event.detail);
      var miniappHref = this.properties.miniappHref || this.properties.mpHref;

      if (miniappHref) {
        var splits = miniappHref.split(':');
        var actionName = splits[0];
        var target = splits[1] || actionName;

        switch (actionName) {
          case 'redirect':
            tt.redirectTo({
              url: target
            });
            break;

          case 'switchTab':
            tt.switchTab({
              url: target
            });
            break;

          case 'navigateBack':
            tt.navigateBack({
              delta: target
            });
            break;

          case 'navigate':
          default:
            tt.navigateTo({
              url: target
            });
        }
      }
    }
  }
});