"use strict";

var _fmtEvent = _interopRequireDefault(require("./fmtEvent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var noop = function () {};
/**
 * miniappHref value：navigate:abc?a=1 redirect:abc?a=1 switchTab:a/b/c navigateBack:2
 * mpHref for  backward compatibility
 */


Component({
  data: {},
  props: {
    className: '',
    style: '',
    mpHref: '',
    miniappHref: '',
    onPress: noop,
    onClick: noop
  },
  methods: {
    onTap: function onTap(e) {
      var event = (0, _fmtEvent.default)(this.props, e); // onPress for  backward compatibility

      if (this.props.onClick === noop) {
        this.props.onPress(event);
      } else {
        this.props.onClick(event);
      }

      var miniappHref = this.props.miniappHref || this.props.mpHref;

      if (miniappHref) {
        var splits = miniappHref.split(':');
        var actionName = splits[0];
        var target = splits[1] || actionName;

        switch (actionName) {
          case 'redirect':
            my.redirectTo({
              url: target
            });
            break;

          case 'switchTab':
            my.switchTab({
              url: target
            });
            break;

          case 'navigateBack':
            my.navigateBack({
              delta: target
            });
            break;

          case 'navigate':
          default:
            my.navigateTo({
              url: target
            });
        }
      }
    }
  }
});