"use strict";

exports.__esModule = true;
exports.default = void 0;

var _rax = require("rax");

var _wrapDefaultProperties = _interopRequireDefault(require("../utils/wrapDefaultProperties"));

var _excluded = ["className", "style", "onClick", "onPress", "children", "miniappHref"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Link = (0, _rax.forwardRef)(function (props, ref) {
  var className = props.className,
      _props$style = props.style,
      style = _props$style === void 0 ? {} : _props$style,
      onClick = props.onClick,
      onPress = props.onPress,
      children = props.children,
      _props$miniappHref = props.miniappHref,
      miniappHref = _props$miniappHref === void 0 ? '' : _props$miniappHref,
      rest = _objectWithoutPropertiesLoose(props, _excluded); // miniappHref example: navigate:/pages/index/index


  var _miniappHref$split = miniappHref.split(':'),
      openType = _miniappHref$split[0],
      url = _miniappHref$split[1];

  return (// @ts-ignore
    (0, _rax.createElement)("view", {
      onClick: onClick || onPress
    }, (0, _rax.createElement)("navigator", _extends({
      ref: ref,
      "open-type": openType,
      url: url,
      className: className,
      style: style
    }, rest), children))
  );
});

var _default = (0, _wrapDefaultProperties.default)(Link);

exports.default = _default;